Index: Dev/branches/rest-dojo-ui/client/rft/pages/survey.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/pages/survey.js	(revision 406)
+++ Dev/branches/rest-dojo-ui/client/rft/pages/survey.js	(revision 407)
@@ -5,101 +5,104 @@
     'dojo/_base/event',
     'dojo/_base/lang',
-    '../content',
+    '../app/Controller',
     '../store',
-    '../ui/_Page',
+    '../app/Page',
     '../ui/lists/QuestionListView',
-    '../ui/TabbedQuestionBrowser'
-    ],
-    function(array,declare,Deferred,event,lang,content,store,_Page,
-             QuestionListView,TabbedQuestionBrowser){
-        return declare('rft.pages.survey',[_Page],{
-            survey: null,
-            questionList: null,
-            _dataMap: null,
-            constructor: function(){
-                this._dataMap = {};
-            },
-            onVisit: function() {
-                if ( this.pageArgs.uid ) {
-                    this._setupQuestionBrowser();
-                    this._setupListView();
-                    Deferred.when(store.get(this.pageArgs.uid))
-                    .then(lang.hitch(this,function(obj){
-                        this.survey = obj;
-                        store.query(null,{keys:this.survey.questions,include_docs:true})
-                        .forEach(lang.hitch(this.questionList,'appendItem'));
-                        this.refresh();
-                    }));
-                } else {
-                    throw "No valid uid or survey passed!";
+    '../ui/TabbedQuestionBrowser',
+    'dojo/text!./survey.html'
+],function(array,declare,Deferred,event,lang,Controller,store,Page,
+         QuestionListView,TabbedQuestionBrowser,template){
+    return declare([Page],{
+        templateString: template,
+        survey: null,
+        questionList: null,
+        _dataMap: null,
+        constructor: function(){
+            this._dataMap = {};
+        },
+        startup: function() {
+            if ( this._started ) { return; }
+            this.inherited(arguments);
+            if ( this.surveyId ) {
+                this._setupQuestionBrowser();
+                this._setupListView();
+                Deferred.when(store.get(this.surveyId))
+                .then(lang.hitch(this,function(obj){
+                    this.survey = obj;
+                    store.query(null,{keys:this.survey.questions,include_docs:true})
+                    .forEach(lang.hitch(this.questionList,'appendItem'));
+                    this.refresh();
+                }));
+            } else {
+                throw "No valid uid or survey passed!";
+            }
+        },
+        _setupQuestionBrowser: function() {
+            this.questionBrowser = new TabbedQuestionBrowser({
+                region: 'center',
+                'class': 'blue',
+                selectedActions: {
+                    "Include": {
+                        callback: lang.hitch(this,this._includeQuestion),
+                        icon: "Accept",
+                        description: "Include in survey"
+                    }
+                },
+                itemActions: {
+                    "Info": {
+                        callback: function(item){ item.description && alert(item.description); },
+                        icon: "Inspect",
+                        description: "Show item description"
+                    }
                 }
-            },
-            _setupQuestionBrowser: function() {
-                this.questionBrowser = new TabbedQuestionBrowser({
-                    region: 'center',
-                    'class': 'blue',
-                    selectedActions: {
-                        "Include": {
-                            callback: lang.hitch(this,this._includeQuestion),
-                            icon: "Accept",
-                            description: "Include in survey"
-                        }
-                    },
-                    itemActions: {
-                        "Info": {
-                            callback: function(item){ item.description && alert(item.description); },
-                            icon: "Inspect",
-                            description: "Show item description"
-                        }
-                    }
-                },this.questionBrowser);
-                this.questionBrowser.startup();
-            },
-            _includeQuestion: function(question) {
-                this.questionList.insertItem(question);
-            },
-            _setupListView: function() {
-                this.questionList = new QuestionListView({
-                    region: 'center'
-                },this.surveyListViewNode);
-                this.questionList.startup();
-            },
-            refresh: function() {
-                this.titleNode.innerHTML = this.survey.title || "(set title in properties)";
-                this.propertiesForm.set('value',this.survey);
-            },
-            _onShowProperties: function(evt) {
-                this.propertiesDialog.show();
-            },
-            _onPropertiesOk: function(evt) {
-                this.propertiesDialog.hide();
-                lang.mixin(this.survey, this.propertiesForm.get('value'));
-                this.refresh();
-                event.stop(evt);
-                return false;
-            },
-            _onPropertiesCancel: function(evt) {
-                this.propertiesDialog.hide();
-                this.propertiesForm.set('value',this.survey);
-                event.stop(evt);
-                return false;
-            },
-            _onSave: function(evt) {
-                this.survey.questions = array.map(this.questionList.getItems(),function(item){
-                    return store.getIdentity(item);
-                });
-                store.put(this.survey)
-                .then(function() { 
-                    content.goTo('surveys');
-                });
-                event.stop(evt);
-                return false;
-            },
-            _onDiscard: function(evt) {
-            },
-            _onShowPreview: function() {
-                content.goTo('viewSurvey', {uid: store.getIdentity(this.survey)});
-            }
-        });
+            },this.questionBrowser);
+            this.questionBrowser.startup();
+        },
+        _includeQuestion: function(question) {
+            this.questionList.insertItem(question);
+        },
+        _setupListView: function() {
+            this.questionList = new QuestionListView({
+                region: 'center'
+            },this.surveyListViewNode);
+            this.questionList.startup();
+        },
+        refresh: function() {
+            this.titleNode.innerHTML = this.survey.title || "(set title in properties)";
+            this.propertiesForm.set('value',this.survey);
+        },
+        _onShowProperties: function(evt) {
+            this.propertiesDialog.show();
+        },
+        _onPropertiesOk: function(evt) {
+            this.propertiesDialog.hide();
+            lang.mixin(this.survey, this.propertiesForm.get('value'));
+            this.refresh();
+            event.stop(evt);
+            return false;
+        },
+        _onPropertiesCancel: function(evt) {
+            this.propertiesDialog.hide();
+            this.propertiesForm.set('value',this.survey);
+            event.stop(evt);
+            return false;
+        },
+        _onSave: function(evt) {
+            this.survey.questions = array.map(this.questionList.getItems(),function(item){
+                return store.getIdentity(item);
+            });
+            store.put(this.survey)
+            .then(function() { 
+                Controller.go('/surveys');
+            });
+            event.stop(evt);
+            return false;
+        },
+        _onDiscard: function(evt) {
+        },
+        _onShowPreview: function() {
+            Controller.go('/viewSurvey/'+store.getIdentity(this.survey));
+        }
+    });
 });
 
Index: Dev/branches/rest-dojo-ui/client/rft/pages/surveys.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/pages/surveys.js	(revision 406)
+++ Dev/branches/rest-dojo-ui/client/rft/pages/surveys.js	(revision 407)
@@ -1,36 +1,48 @@
-define(['dojo/_base/declare','dojo/_base/lang','dojo/_base/Deferred','dojo/data/ObjectStore','rft/auth','rft/store','rft/content','rft/ui/_Page'],
-    function(declare,lang,Deferred,ObjectStore,auth,store,content,_Page){
-        return declare('rft.pages.surveys',[_Page],{
-            selectedObject: null,
-            onVisit: function() {
-                this.grid.setStore(
-                    ObjectStore({objectStore: store}),
-                    "_design/default/_view/by_type",{key:'Survey'});
+define([
+    'dojo/_base/declare',
+    'dojo/_base/lang',
+    'dojo/_base/Deferred',
+    'dojo/data/ObjectStore',
+    '../auth',
+    '../store',
+    '../app/Controller',
+    '../app/Page',
+    'dojo/text!./surveys.html'
+],function(declare,lang,Deferred,ObjectStore,auth,store,Controller,Page,template){
+    return declare([Page],{
+        templateString: template,
+        selectedObject: null,
+        startup: function() {
+            if ( this._started ) { return; }
+            this.inherited(arguments);
+            this.grid.setStore(
+                ObjectStore({objectStore: store}),
+                "_design/default/_view/by_type",{key:'Survey'});
+            
+            this.grid.on('rowclick',lang.hitch(this,function(evt){
+                this.selectedObject = evt.grid.getItem(evt.rowIndex);
+                this.btnEdit.set('disabled',!this.selectedObject);
+            }));
+
+            this.grid.on('rowdblclick',lang.hitch(this,function(evt){
+                var obj = evt.grid.getItem(evt.rowIndex);
+                Controller.go('/survey/'+store.getIdentity(obj));
+            }));
+            
+            this.btnNew.on('click',lang.hitch(this,function(){
+                Deferred.when( store.add({type:'Survey',creator:auth.getUser()}) )
+                .then(function(obj) {
+                    Controller.go('/survey/'+store.getIdentity(obj));
+                });
+            }));
+
+            this.btnEdit.on('click',lang.hitch(this,function(){
+                if ( this.selectedObject ) {
+                    Controller.go('/survey/'+store.getIdentity(this.selectedObject));
+                }
                 
-                this.grid.on('rowclick',lang.hitch(this,function(evt){
-                    this.selectedObject = evt.grid.getItem(evt.rowIndex);
-                    this.btnEdit.set('disabled',!this.selectedObject);
-                }));
-
-                this.grid.on('rowdblclick',lang.hitch(this,function(evt){
-                    var obj = evt.grid.getItem(evt.rowIndex);
-                    content.goTo('/survey',{uid:store.getIdentity(obj)});
-                }));
-                
-                this.btnNew.on('click',lang.hitch(this,function(){
-                    Deferred.when( store.add({type:'Survey',creator:auth.getUser()}) )
-                    .then(function(obj) {
-                        content.goTo('/survey',{uid:store.getIdentity(obj)});
-                    });
-                }));
-
-                this.btnEdit.on('click',lang.hitch(this,function(){
-                    if ( this.selectedObject ) {
-                        content.goTo('/survey',{uid:store.getIdentity(this.selectedObject)});
-                    }
-                    
-                }));
-            }
-        });
+            }));
+        }
+    });
 });
 
Index: Dev/branches/rest-dojo-ui/client/rft/pages/viewSurvey.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/pages/viewSurvey.js	(revision 406)
+++ Dev/branches/rest-dojo-ui/client/rft/pages/viewSurvey.js	(revision 407)
@@ -6,46 +6,48 @@
     'dojo/_base/lang',
     '../store',
-    '../ui/_Page',
-    '../ui/content/ContentWidgetFactory'
-    ],
-    function(array,declare,Deferred,event,lang,store,_Page,ContentWidgetFactory){
-        return declare('rft.pages.viewSurvey',[_Page],{
-            survey: null,
-            constructor: function(){
-                this._dataMap = {};
-            },
-            onVisit: function() {
-                if ( this.pageArgs.uid ) {
-                    Deferred.when(store.get(this.pageArgs.uid))
-                    .then(lang.hitch(this,function(obj){
-                        var f = new ContentWidgetFactory();
-                        this.survey = obj;
-                        store.query(null,{keys:this.survey.questions,include_docs:true})
-                        .forEach(function(question){
-                            array.forEach(question.content || [],function(item){
-                                var w = f.createViewWidget(item,{
-                                    name: question.code+'.'+item.code
-                                });
-                                if ( w !== null ) {
-                                    w.placeAt(this.questionsAnchor,'before');
-                                }
-                            },this);
+    '../app/Page',
+    '../ui/content/ContentWidgetFactory',
+    'dojo/text!./viewSurvey.html'
+],function(array,declare,Deferred,event,lang,store,Page,ContentWidgetFactory,template){
+    return declare([Page],{
+        templateString: template,
+        survey: null,
+        constructor: function(){
+            this._dataMap = {};
+        },
+        startup: function() {
+            if ( this._started ) { return; }
+            this.inherited(arguments);
+            if ( this.surveyId ) {
+                Deferred.when(store.get(this.surveyId))
+                .then(lang.hitch(this,function(obj){
+                    var f = new ContentWidgetFactory();
+                    this.survey = obj;
+                    store.query(null,{keys:this.survey.questions,include_docs:true})
+                    .forEach(function(question){
+                        array.forEach(question.content || [],function(item){
+                            var w = f.createViewWidget(item,{
+                                name: question.code+'.'+item.code
+                            });
+                            if ( w !== null ) {
+                                w.placeAt(this.questionsAnchor,'before');
+                            }
                         },this);
-                    }));
-                } else {
-                    throw "No valid uid or survey passed!";
-                }
-            },
-            _onSubmit: function(evt) {
-                var value = this.questionsForm.get('value');
-                this.questionsPane.set('content','<pre>'+JSON.stringify(value)+'</pre>');
-                event.stop(evt);
-                return false;
-            },
-            _onCancel: function(evt) {
-                event.stop(evt);
-                return false;
+                    },this);
+                }));
+            } else {
+                throw "No valid uid or survey passed!";
             }
-        });
+        },
+        _onSubmit: function(evt) {
+            var value = this.questionsForm.get('value');
+            this.questionsPane.set('content','<pre>'+JSON.stringify(value)+'</pre>');
+            event.stop(evt);
+            return false;
+        },
+        _onCancel: function(evt) {
+            event.stop(evt);
+            return false;
+        }
+    });
 });
-
Index: Dev/branches/rest-dojo-ui/client/rft/routes.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/routes.js	(revision 407)
+++ Dev/branches/rest-dojo-ui/client/rft/routes.js	(revision 407)
@@ -0,0 +1,24 @@
+define([
+    './pages/index',
+    './pages/questions',
+    './pages/question',
+    './pages/surveys',
+    './pages/survey',
+    './pages/sessions',
+    './pages/session',
+    './pages/viewSurvey'
+],function(index,questions,question,surveys,survey,sessions,session,viewSurvey){
+
+    return [
+        { path: "/", redirect: "/index" },
+        { path: "/index", constructor: index },
+        { path: "/questions", constructor: questions },
+        { path: "/question/:questionId", constructor: question },
+        { path: "/surveys", constructor: surveys },
+        { path: "/survey/:surveyId", constructor: survey },
+        { path: "/sessions", constructor: sessions },
+        { path: "/session/:sessionId", constructor: session },
+        { path: "/viewSurvey/:surveyId", constructor: viewSurvey }
+    ];
+
+});
Index: Dev/branches/rest-dojo-ui/client/rft/run.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/run.js	(revision 406)
+++ Dev/branches/rest-dojo-ui/client/rft/run.js	(revision 407)
@@ -1,30 +1,14 @@
 require([
-    'dojo/_base/connect',
-    'dojo/_base/window',
-    'dojo/dom',
+    'dojo/_base/array',
     'dojo/parser',
-    'rft/auth',
-    'rft/content',
-    'rft/ui/LoginDialog',
-    'rft/indexContent',
+    'rft/app/Controller',
+    'rft/routes',
     'rft/stddeps',
     'dojo/domReady!'
-],function(connect,win,dom,parser,auth,content,LoginDialog) {
+],function(array,parser,controller,routes) {
     parser.parse();
-    content.init();
-
-    var login = new LoginDialog().placeAt(win.body());
-    login.startup();
-
-    auth.restore()
-    .then(function(){
-        content.initial();
-    },function(){
-        login.show();
+    array.forEach(routes,function(route){
+        controller.register(route);
     });
-
-    connect.connect(dom.byId('loginMenu'),'click',function(){
-        login.show();
-    });
-
+    controller.startup();
 });
Index: Dev/branches/rest-dojo-ui/client/rft/stddeps.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/stddeps.js	(revision 406)
+++ Dev/branches/rest-dojo-ui/client/rft/stddeps.js	(revision 407)
@@ -1,4 +1,4 @@
 define([
-    // dijit & rft widgets used declaratively in templates and pages
+    // dijit & rft widgets used declaratively in templates
     'dijit/Dialog',
     'dijit/DropDownMenu',
@@ -35,14 +35,4 @@
     'rft/ui/lists/AccountListView',
     'rft/ui/lists/List',
-    'rft/ui/lists/OrderedList',
-
-    // pages -> load dynamically?
-    'rft/pages/index',
-    'rft/pages/questions',
-    'rft/pages/question',
-    'rft/pages/session',
-    'rft/pages/sessions',
-    'rft/pages/surveys',
-    'rft/pages/survey',
-    'rft/pages/viewSurvey'
+    'rft/ui/lists/OrderedList'
 ],function(){});
Index: Dev/branches/rest-dojo-ui/client/rft/store.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/store.js	(revision 406)
+++ Dev/branches/rest-dojo-ui/client/rft/store.js	(revision 407)
@@ -10,5 +10,5 @@
     
     var CouchStore = declare(null, {
-        /** dojo.Store implementation for CouchDB
+        /** dojo Store implementation for CouchDB
          *
          * See for details on the REST API, the wiki
Index: Dev/branches/rest-dojo-ui/client/rft/ui/Breadcrumbs.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/ui/Breadcrumbs.js	(revision 406)
+++ Dev/branches/rest-dojo-ui/client/rft/ui/Breadcrumbs.js	(revision 407)
@@ -5,7 +5,8 @@
     'dojo/dom-class',
     'dojo/topic',
-    'dijit/_WidgetBase'
-], function(declare, baseArray, Button, domClass, topic, _WidgetBase){
-    return declare('rft.ui.Breadcrumbs', [_WidgetBase], {
+    'dijit/_WidgetBase',
+    '../app/Controller'
+], function(declare, baseArray, Button, domClass, topic, _WidgetBase,Controller){
+    return declare([_WidgetBase], {
         _crumbs: [],
         
@@ -14,6 +15,6 @@
         },
         _getIndexOf: function(label) {
-            dojo.forEach(this._crumbs, function(crumb, index){
-                if (crumb.label == label) {
+            baseArray.forEach(this._crumbs, function(crumb, index){
+                if (crumb.label === label) {
                     return index;
                 }
@@ -31,5 +32,5 @@
             var removals = this._crumbs.slice(index+1);
             this._crumbs = this._crumbs.slice(0, index+1);
-            dojo.forEach(removals, function(removal){
+            baseArray.forEach(removals, function(removal){
                 removal.widget.destroyRecursive(false); // boolean "keepDOMnode"
             }, this);
@@ -60,10 +61,10 @@
                 iconClass: "dijitNoIcon",
                 onClick: lang.hitch(this, function(){
-                    rft.api.loadPage(path);  // TODO: fix this call!
+                    Controller.go(path);  // TODO: fix this call!
                 })
             });
         },
         _createBreadcrumbs: function() {
-            dojo.forEach(this._crumbs, function(crumb, index){
+            baseArray.forEach(this._crumbs, function(crumb, index){
                 if (!crumb.widget) {
                     crumb.widget = this._createBreadcrumb(crumb.label, crumb.path);
Index: Dev/branches/rest-dojo-ui/client/rft/ui/LineWithActionsWidget.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/ui/LineWithActionsWidget.js	(revision 406)
+++ Dev/branches/rest-dojo-ui/client/rft/ui/LineWithActionsWidget.js	(revision 407)
@@ -11,5 +11,5 @@
     'dojo/text!./templates/LineWithActionsWidget.html'
 ],function(declare,lang,on,dom,event,domClass,Button,_WidgetBase,_TemplatedMixin,_WidgetsInTemplateMixin,templateString){
-    return declare('rft.ui.LineWithActionsWidget',[_WidgetBase,_TemplatedMixin,_WidgetsInTemplateMixin],{
+    return declare([_WidgetBase,_TemplatedMixin,_WidgetsInTemplateMixin],{
         templateString: templateString,
         baseClass: 'rftLineWithButtons',
Index: Dev/branches/rest-dojo-ui/client/rft/ui/MainMenu.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/ui/MainMenu.js	(revision 406)
+++ Dev/branches/rest-dojo-ui/client/rft/ui/MainMenu.js	(revision 407)
@@ -2,5 +2,5 @@
     'dijit/_TemplatedMixin','dijit/_WidgetsInTemplateMixin','dojo/text!./templates/MainMenu.html'],
     function(declare,_WidgetBase,_TemplatedMixin,_WidgetsInTemplateMixin,template){
-        return declare('rft.ui.MainMenu',[_WidgetBase,_TemplatedMixin,_WidgetsInTemplateMixin],{
+        return declare([_WidgetBase,_TemplatedMixin,_WidgetsInTemplateMixin],{
             templateString: template
         });
Index: Dev/branches/rest-dojo-ui/client/rft/ui/MenuBarLink.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/ui/MenuBarLink.js	(revision 406)
+++ Dev/branches/rest-dojo-ui/client/rft/ui/MenuBarLink.js	(revision 407)
@@ -1,10 +1,10 @@
-define(['dojo/_base/declare','dijit/MenuBarItem','../content'],
-function(declare,MenuBarItem,content){
-    return declare('rft.ui.MenuBarLink',[MenuBarItem],{
+define(['dojo/_base/declare','dijit/MenuBarItem','../app/Controller'],
+function(declare,MenuBarItem,Controller){
+    return declare([MenuBarItem],{
         options:{
-            pageId: null
+            path: null
         },
         onClick: function(){
-            content.goTo(this.pageId);
+            this.path && Controller.go(this.path);
         }
     });
Index: Dev/branches/rest-dojo-ui/client/rft/ui/MenuLink.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/ui/MenuLink.js	(revision 406)
+++ Dev/branches/rest-dojo-ui/client/rft/ui/MenuLink.js	(revision 407)
@@ -1,10 +1,10 @@
-define(['dojo/_base/declare','dijit/MenuItem','../content'],
-function(declare,MenuItem,content){
-    return declare('rft.ui.MenuLink',[MenuItem],{
+define(['dojo/_base/declare','dijit/MenuItem','../app/Controller'],
+function(declare,MenuItem,Controller){
+    return declare([MenuItem],{
         options:{
-            pageId: null
+            path: null
         },
         onClick: function(){
-            content.goTo(this.pageId);
+            this.path && Controller.go(this.path);
         }
     });
Index: Dev/branches/rest-dojo-ui/client/rft/ui/MultipleChoiceWidget.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/ui/MultipleChoiceWidget.js	(revision 406)
+++ Dev/branches/rest-dojo-ui/client/rft/ui/MultipleChoiceWidget.js	(revision 407)
@@ -7,5 +7,5 @@
         _WidgetsInTemplateMixin,_Container,
         templateString,RadioButton,CheckBox,TextBox,Button){
-        return declare('rft.ui.MultipleChoiceWidget',[_WidgetBase,_TemplatedMixin,_WidgetsInTemplateMixin,_Container],{
+        return declare([_WidgetBase,_TemplatedMixin,_WidgetsInTemplateMixin,_Container],{
             templateString: templateString,
             multiple: true,
Index: Dev/branches/rest-dojo-ui/client/rft/ui/Notifications.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/ui/Notifications.js	(revision 406)
+++ Dev/branches/rest-dojo-ui/client/rft/ui/Notifications.js	(revision 407)
@@ -1,5 +1,5 @@
 define(['dojo/_base/declare','dojo/_base/lang','dojo/_base/connect','dojox/widget/Toaster'],
     function(declare,lang,connect,Toaster){
-        return declare('rft.ui.Notifications',[Toaster],{
+        return declare([Toaster],{
             positionDirection: "br-up",
             duration: 1000,
Index: Dev/branches/rest-dojo-ui/client/rft/ui/ObjectBox.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/ui/ObjectBox.js	(revision 406)
+++ Dev/branches/rest-dojo-ui/client/rft/ui/ObjectBox.js	(revision 407)
@@ -6,7 +6,7 @@
     'dijit/_WidgetsInTemplateMixin',
     'rft/ui/LineWithActionsWidget',
-    'dojo/text!./templates/ObjectBox.html',
+    'dojo/text!./templates/ObjectBox.html'
 ], function(declare, lang, _WidgetBase, _TemplatedMixin, _WidgetsInTemplateMixin, LineWithActionsWidget, template){
-    return declare('rft.ui.ObjectBox', [_WidgetBase, _TemplatedMixin, _WidgetsInTemplateMixin], {
+    return declare([_WidgetBase, _TemplatedMixin, _WidgetsInTemplateMixin], {
         baseClass: "rftObjectBox",
         templateString: template,
Index: Dev/branches/rest-dojo-ui/client/rft/ui/QuestionEditorPreview.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/ui/QuestionEditorPreview.js	(revision 406)
+++ Dev/branches/rest-dojo-ui/client/rft/ui/QuestionEditorPreview.js	(revision 407)
@@ -5,30 +5,30 @@
     'dijit/registry',
     './QuestionEditorPreviewItem',
-    './lists/OrderedList',
-    ], function(declare, lang, domConstruct, registry, QuestionEditorPreviewItem, OrderedList) {
-        return declare("rft.ui.QuestionEditorPreview", [OrderedList], {
-            baseClass: 'surveyEditorPreview',
-            type: 'questionContent',
-            withHandles: true,
+    './lists/OrderedList'
+], function(declare, lang, domConstruct, registry, QuestionEditorPreviewItem, OrderedList) {
+    return declare([OrderedList], {
+        baseClass: 'surveyEditorPreview',
+        type: 'questionContent',
+        withHandles: true,
 
-            _createAvatarNode: function(item) {
-                return domConstruct.create("span",{
-                    innerHTML: item.type || "Dragging!!!"
-                });
-            },
-            _createListNode: function(item) {
-                var previewItem = new QuestionEditorPreviewItem({
-                    item: item
-                });
-                previewItem.on('close',lang.hitch(this,'removeItem',item));
-                previewItem.startup();
-                return previewItem.domNode;
-            },
-            getItems: function() {
-                return this.source.getAllNodes()
-                .map(function(node){
-                    return registry.byNode(node).get('value');
-                },this);
-            }
-        });
+        _createAvatarNode: function(item) {
+            return domConstruct.create("span",{
+                innerHTML: item.type || "Dragging!!!"
+            });
+        },
+        _createListNode: function(item) {
+            var previewItem = new QuestionEditorPreviewItem({
+                item: item
+            });
+            previewItem.on('close',lang.hitch(this,'removeItem',item));
+            previewItem.startup();
+            return previewItem.domNode;
+        },
+        getItems: function() {
+            return this.source.getAllNodes()
+            .map(function(node){
+                return registry.byNode(node).get('value');
+            },this);
+        }
     });
+});
